SQOOP(1)

NAME
sqoop - The SQL-to-Hadoop database import/export tool

SYNOPSIS

sqoop <tool-name> <tool-options>

DESCRIPTION

Sqoop is a tool designed to help users of large data import existing relational databases into their Hadoop clusters. Sqoop interfaces with databases via JDBC, importing the contents of tables into HDFS while generating Java classes so users can interpret the table’s schema. Sqoop can also run in reverse, exporting records back from HDFS to a relational data store.

Both SequenceFile and text-based targets are supported. Sqoop also supports high-performance imports from select databases including MySQL.

OPTIONS

Sqoop must be run with a particular tool specified. The options for each tool depend on which tool is chosen.

Run sqoop help for a list of all available tools.

Run sqoop help <tool-name> for usage instructions for a particular tool. Additional usage instructions are available for each tool in the manual. e.g. sqoop-import(1).

ENVIRONMENT

JAVA_HOME
    As part of its import process, Sqoop generates and compiles Java code by invoking the Java compiler javac(1). As a result, JAVA_HOME must be set to the location of your JDK (note: This cannot just be a JRE). e.g., /usr/java/default. Hadoop (and Sqoop) requires Sun Java 1.6 which can be downloaded from http://java.sun.com.

HADOOP_HOME
    The location of the Hadoop jar files. If you installed Hadoop via RPM or DEB, these are in /usr/lib/hadoop-20.

HIVE_HOME
    If you are performing a Hive import, you must identify the location of Hive’s jars and configuration. If you installed Hive via RPM or DEB, these are in /usr/lib/hive.

SEE ALSO

The Sqoop User Guide is available in HTML-form in /usr/share/doc/sqoop/ (if you installed via RPM or DEB), or in the docs/ directory if you installed from a tarball.

AUTHOR

Sqoop Team
    Author.